<?php

/**
 * Aliases for the special pages
 *
 * @license GPL-2.0-or-later
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'EntitiesWithoutDescription' => [ 'EntitiesWithoutDescription' ],
	'EntitiesWithoutLabel' => [ 'EntitiesWithoutLabel' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'EntitiesWithoutDescription' => [ 'الكيانات_بدون_وصف' ],
	'EntitiesWithoutLabel' => [ 'الكيانات_بدون_علامة' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'EntitiesWithoutDescription' => [ 'الكيانات_من_غير_وصف' ],
	'EntitiesWithoutLabel' => [ 'الكيانات_من_غير_علامه' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'EntitiesWithoutDescription' => [ 'বিবরণহীন_সত্তা' ],
	'EntitiesWithoutLabel' => [ 'লেভেলহীন_সত্তা' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'EntitiesWithoutLabel' => [ '無標籤其條目' ],
];

/** Czech (česky) */
$specialPageAliases['cs'] = [
	'EntitiesWithoutDescription' => [ 'Entity_bez_popisku' ],
	'EntitiesWithoutLabel' => [ 'Entity_bez_štítku' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'EntitiesWithoutDescription' => [ 'Objekte_ohne_Beschreibung' ],
	'EntitiesWithoutLabel' => [ 'Objekte_ohne_Bezeichnung' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'EntitiesWithoutDescription' => [ 'EntidadesSinDescripción' ],
	'EntitiesWithoutLabel' => [ 'EntidadesSinEtiqueta' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'EntitiesWithoutDescription' => [ 'Aiheet_ilman_kuvausta' ],
	'EntitiesWithoutLabel' => [ 'Aiheet_ilman_nimeä' ],
];

/** Icelandic (íslenska) */
$specialPageAliases['is'] = [
	'EntitiesWithoutLabel' => [ 'Færslur_án_merkimiða' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'EntitiesWithoutDescription' => [ 'EntitàSenzaDescrizione' ],
	'EntitiesWithoutLabel' => [ 'EntitàSenzaEtichetta' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'EntitiesWithoutDescription' => [ '説明のない実体', '説明のないエンティティ' ],
	'EntitiesWithoutLabel' => [ 'ラベルのない実体', 'ラベルのないエンティティ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'EntitiesWithoutDescription' => [ '설명없는개체' ],
	'EntitiesWithoutLabel' => [ '레이블없는개체' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'EntitiesWithoutDescription' => [ 'Elementer_ouni_Beschreiwung' ],
	'EntitiesWithoutLabel' => [ 'Elementer_ouni_Etiquette' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'EntitiesWithoutDescription' => [ 'چیایی_کە_توضی_نارئن' ],
	'EntitiesWithoutLabel' => [ 'چیایی_کە_ریتئراز_نارئن' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'EntitiesWithoutDescription' => [ 'ЕдинициБезОпис' ],
	'EntitiesWithoutLabel' => [ 'ЕдинициБезНатпис' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'EntitiesWithoutDescription' => [ 'EntiteitenZonderBeschrijving' ],
	'EntitiesWithoutLabel' => [ 'EntiteitenZonderLabel' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'EntitiesWithoutDescription' => [ 'Encje_bez_opisu' ],
	'EntitiesWithoutLabel' => [ 'Encje_bez_etykiety' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'EntitiesWithoutLabel' => [ 'EntitàSenzaEtichetta' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'EntitiesWithoutDescription' => [ 'Objekt_utan_beskrivning' ],
	'EntitiesWithoutLabel' => [ 'Objekt_utan_etikett' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'EntitiesWithoutDescription' => [ 'موجودات_بدون_وضاحت' ],
	'EntitiesWithoutLabel' => [ 'موجودات_بدون_لیبل' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'EntitiesWithoutDescription' => [ 'Thực_thể_không_miêu_tả', 'Thực_thể_không_mô_tả' ],
	'EntitiesWithoutLabel' => [ 'Thực_thể_không_nhãn' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'EntitiesWithoutDescription' => [ '无说明实体' ],
	'EntitiesWithoutLabel' => [ '无标签实体' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'EntitiesWithoutDescription' => [ '無類型實體' ],
	'EntitiesWithoutLabel' => [ '無標籤實體' ],
];
